Bug 142370 - CRASH: Closing tip of the day ( GTK3 )
Summary: CRASH: Closing tip of the day ( GTK3 )
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.2.0 target:7.1.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2021-05-19 08:09 UTC by Xisco Faulí
Modified: 2021-05-20 14:08 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2021-05-19 08:09:29 UTC
This is taken from https://bugs.documentfoundation.org/show_bug.cgi?id=127533#c20

Hello,

There is a crash that I guess related to the latest commit of this bug.

1-) Open LibreOffice
2-) Open Writer
3-) Click to "OK" button of the tip of day dialog

LibreOffice crashed with

terminate called after throwing an instance of 'std::bad_function_call'
  what():  bad_function_call

Thread 1 "soffice.bin" received signal SIGABRT, Aborted.
__GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50
50      ../sysdeps/unix/sysv/linux/raise.c: No such file or directory.
(gdb) 


And it tries to recover document

Back trace is here:

#0  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50
#1  0x00007ffff7a32859 in __GI_abort () at abort.c:79
#2  0x00007ffff78a8951 in  () at /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#3  0x00007ffff78b447c in  () at /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#4  0x00007ffff78b44e7 in  () at /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#5  0x00007ffff78b4799 in  () at /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#6  0x00007ffff78ab590 in  () at /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#7  0x00007fffe45c06a7 in std::function<void (int)>::operator()(int) const (this=0x7fffffffb850, __args#0=1) at /usr/include/c++/9/bits/std_function.h:687
#8  0x00007fffe4558a87 in (anonymous namespace)::GtkInstanceDialog::asyncresponse(gint) (this=0x55555b49d060, ret=-5) at /media/gulsah/EK/libreoffice-public-2/vcl/unx/gtk3/gtkinst.cxx:7874
#9  0x00007fffe454c6bf in (anonymous namespace)::GtkInstanceDialog::signalAsyncResponse(GtkWidget*, gint, gpointer) (ret=-5, widget=0x55555b49d060) at /media/gulsah/EK/libreoffice-public-2/vcl/unx/gtk3/gtkinst.cxx:5032
#10 0x00007fffe8f66802 in g_closure_invoke () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#11 0x00007fffe8f7a814 in  () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#12 0x00007fffe8f85bbe in g_signal_emit_valist () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#13 0x00007fffe8f860f3 in g_signal_emit () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#14 0x00007fffe8f66a56 in  () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#15 0x00007fffe8f85b48 in g_signal_emit_valist () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#16 0x00007fffe8f860f3 in g_signal_emit () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#17 0x00007fffe3d462ae in  () at /usr/lib/x86_64-linux-gnu/libgtk-3.so.0
#18 0x00007fffe3d46318 in  () at /usr/lib/x86_64-linux-gnu/libgtk-3.so.0
#19 0x00007fffe8f66802 in g_closure_invoke () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#20 0x00007fffe8f7a962 in  () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#21 0x00007fffe8f85bbe in g_signal_emit_valist () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#22 0x00007fffe8f860f3 in g_signal_emit () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#23 0x00007fffe3d44754 in  () at /usr/lib/x86_64-linux-gnu/libgtk-3.so.0
#24 0x00007fffe3ff5ae1 in  () at /usr/lib/x86_64-linux-gnu/libgtk-3.so.0
#25 0x00007fffe8f66a56 in  () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#26 0x00007fffe8f85b48 in g_signal_emit_valist () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#27 0x00007fffe8f860f3 in g_signal_emit () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#28 0x00007fffe3e0cfcc in  () at /usr/lib/x86_64-linux-gnu/libgtk-3.so.0
#29 0x00007fffe8f69c56 in g_cclosure_marshal_VOID__BOXEDv () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#30 0x00007fffe8f66a56 in  () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#31 0x00007fffe8f85b48 in g_signal_emit_valist () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#32 0x00007fffe8f860f3 in g_signal_emit () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#33 0x00007fffe3e0a012 in  () at /usr/lib/x86_64-linux-gnu/libgtk-3.so.0
#34 0x00007fffe3e0b65b in  () at /usr/lib/x86_64-linux-gnu/libgtk-3.so.0
#35 0x00007fffe3e0e646 in  () at /usr/lib/x86_64-linux-gnu/libgtk-3.so.0
#36 0x00007fffe3dd5bb0 in gtk_event_controller_handle_event () at /usr/lib/x86_64-linux-gnu/libgtk-3.so.0
#37 0x00007fffe3f9816d in  () at /usr/lib/x86_64-linux-gnu/libgtk-3.so.0
#38 0x00007fffe3fef5ef in  () at /usr/lib/x86_64-linux-gnu/libgtk-3.so.0
#39 0x00007fffe8f66a56 in  () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#40 0x00007fffe8f84df1 in g_signal_emit_valist () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#41 0x00007fffe8f860f3 in g_signal_emit () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#42 0x00007fffe3f99c23 in  () at /usr/lib/x86_64-linux-gnu/libgtk-3.so.0
#43 0x00007fffe3e55128 in  () at /usr/lib/x86_64-linux-gnu/libgtk-3.so.0
#44 0x00007fffe3e573db in gtk_main_do_event () at /usr/lib/x86_64-linux-gnu/libgtk-3.so.0
#45 0x00007fffe3b3ff79 in  () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
#46 0x00007fffe3b73106 in  () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
#47 0x00007fffe8e7917d in g_main_context_dispatch () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#48 0x00007fffe8e79400 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#49 0x00007fffe8e794a3 in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#50 0x00007fffe4534381 in GtkSalData::Yield(bool, bool) (this=0x55555565dc10, bWait=true, bHandleAllCurrentEvents=false) at /media/gulsah/EK/libreoffice-public-2/vcl/unx/gtk3/gtkdata.cxx:394
#51 0x00007fffe4538b18 in GtkInstance::DoYield(bool, bool) (this=0x555555665820, bWait=true, bHandleAllCurrentEvents=false) at /media/gulsah/EK/libreoffice-public-2/vcl/unx/gtk3/gtkinst.cxx:412
#52 0x00007fffefaad33d in ImplYield(bool, bool) (i_bWait=true, i_bAllEvents=false) at /media/gulsah/EK/libreoffice-public-2/vcl/source/app/svapp.cxx:465
#53 0x00007fffefaadb45 in Application::Yield() () at /media/gulsah/EK/libreoffice-public-2/vcl/source/app/svapp.cxx:532
#54 0x00007fffefaad03a in Application::Execute() () at /media/gulsah/EK/libreoffice-public-2/vcl/source/app/svapp.cxx:444
#55 0x00007ffff7c8ba88 in desktop::Desktop::Main() (this=0x7fffffffda40) at /media/gulsah/EK/libreoffice-public-2/desktop/source/app/app.cxx:1587
#56 0x00007fffefacb08d in ImplSVMain() () at /media/gulsah/EK/libreoffice-public-2/vcl/source/app/svmain.cxx:198
#57 0x00007fffefacb1ba in SVMain() () at /media/gulsah/EK/libreoffice-public-2/vcl/source/app/svmain.cxx:230
#58 0x00007ffff7cf01eb in soffice_main() () at /media/gulsah/EK/libreoffice-public-2/desktop/source/app/sofficemain.cxx:98
#59 0x00005555555549ed in sal_main () at /media/gulsah/EK/libreoffice-public-2/desktop/source/app/main.c:49
#60 0x00005555555549cf in main (argc=1, argv=0x7fffffffddb8) at /media/gulsah/EK/libreoffice-public-2/desktop/source/app/main.c:47
Comment 1 Xisco Faulí 2021-05-19 08:12:30 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=7f032b2f16fad56beea1df826eb59c6f85c71268

author	Matt K <mattkse@gmail.com>	2021-04-03 01:24:30 -0500
committer	Heiko Tietze <heiko.tietze@documentfoundation.org>	2021-05-18 09:02:22 +0200
commit	7f032b2f16fad56beea1df826eb59c6f85c71268 (patch)
tree	bbdc4e32f22c0fa9ddbe7dfec801120f29b2a29f
parent	2c4dd73c4c9f471fa2083f9f99dd27a7148f3175 (diff)
tdf#127533 Make Tip-of-the-Day dialog non-modal and allow multiple tips to open

Bisected with: bibisect-linux64-7.2

Adding Cc: to Matt K
Comment 2 Heiko Tietze 2021-05-19 08:40:19 UTC
/confirmed (no issue with gen and kf5)

Caolan, you have been on the reviewers list. Any tip for Matt?
Comment 3 Commit Notification 2021-05-19 10:04:12 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/90e645d4340b110f03dff78dbe35593946948cba

tdf#142370 a null response callback should be acceptable

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2021-05-20 09:30:42 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/2811b7cb66e0bcbeb9c69e1b6b51ee30642567c1

tdf#142370 a null response callback should be acceptable

It will be available in 7.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2021-05-20 14:08:50 UTC
Verified in

Version: 7.2.0.0.alpha1+ / LibreOffice Community
Build ID: 4e4e02904fdff021631e7758a277b7c1c7b9378a
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!

Closing as VERIFIED FIXED